Organizations
Create Organization
Creates a new organization under the specified vendor.
POST
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
Create Organization
curl --request POST \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations \
--header 'Content-Type: application/json' \
--data '
{
"companyName": "Example Corp",
"industry": "Technology",
"contact": {
"firstName": "Jane",
"lastName": "Doe",
"phoneNumber": "+491701234567",
"country": "DE"
},
"planId": "c4a9e3f8-a3b2-4d1c-8b7e-5a9f0d1e2c3b"
}
'import requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations"
payload = {
"companyName": "Example Corp",
"industry": "Technology",
"contact": {
"firstName": "Jane",
"lastName": "Doe",
"phoneNumber": "+491701234567",
"country": "DE"
},
"planId": "c4a9e3f8-a3b2-4d1c-8b7e-5a9f0d1e2c3b"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
companyName: 'Example Corp',
industry: 'Technology',
contact: {
firstName: 'Jane',
lastName: 'Doe',
phoneNumber: '+491701234567',
country: 'DE'
},
planId: 'c4a9e3f8-a3b2-4d1c-8b7e-5a9f0d1e2c3b'
})
};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": null,
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
Body
application/json
Data required to create a new Organization.
Name of the organization.
Example:
"Example Corp"
Industry the organization operates in.
Example:
"Technology"
Primary contact information for the organization.
Show child attributes
Show child attributes
ID of the Plan assigned to this organization (UUID).
Example:
"c4a9e3f8-a3b2-4d1c-8b7e-5a9f0d1e2c3b"
Response
Organization successfully created
Standard API response wrapper
Was this page helpful?
Previous
Get OrganizationRetrieves detailed information about a specific organization, including contact info and associated plan.
Next
⌘I
Create Organization
